Hi,
I work on Microsoft Windows XP, I have installed
- Eclipse(Version: eclips-mobile-juno)
- ADT(Version: 20.0.1.v201207132230-403220)
- Android 2.2(API 8)

But I need to get Android 2.3.3(API 10), so when I select Android 2.3.3(API 10) and try to install, my catalog shows this errors

    Preparing to install archives
    Downloading SDK Platform Android 2.3.3, API 10, revision 2
    null
    Downloading Samples for SDK API 10, revision 1
    null
    Skipping 'Google APIs, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Intel Atom x86 System Image, Android API 10, revision 1'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Dual Screen APIs, Android API 10, revision 1'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Real3D, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'ADMIRAL, Android API 10, revision 5'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'ATRIX2, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Bionic, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'defy+, Android API 10, revision 1'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Droid4, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'DroidRAZR, Android API 10, revision 5'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'MotorolaPro+, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'MT870, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'MT917, Android API 10, revision 1'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'PHOTON, Android API 10, revision 1'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'XT882, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'XT928, Android API 10, revision 3'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.
    Skipping 'Sony Xperia Extensions EDK 2.0, Android API 10, revision 2'; it depends on 'SDK Platform Android 2.3.3, API 10, revision 2' which was not installed.

Done. Nothing was installed.

So, please help me with this,
Thank you.

I do not do Android development on Windows (MacOS and Ubuntu user) so I had to install ADT on my Windows 7. I had no problems. In ADT under Tools >> Manage Add-on Sites you can switch off all these other APIS (Motorola, Sony Ericsson etc) you really need only Intel Corporation, Google and Android System Images. Make sure you have installed Java 1.6 (there been some complains about 1.7 but I didn't try 1.7 yet)
Also you can try in Tools >> Options to check/tick "Fetch https://... sources to be fetched by http://..."

PS: My ADT tool is version 20.3 so try to download latest